package com.mortals.xhx.feign.app.device;

import com.mortals.framework.common.Rest;
import com.mortals.xhx.common.pdu.app.AppPdu;
import com.mortals.xhx.feign.IFeign;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * 设备 Feign接口
 *
 * @author zxfei
 * @date 2022-10-26
 */
//@FeignClient(name = "sst-manager", path = "/sst", fallbackFactory = AppFeignFallbackFactory.class)
public interface IAppFeign extends IFeign {


    /**
     * 设备保存更新
     *
     * @param appPdu
     * @return
     */
    @PostMapping(value = "/apps/forbidden")
    Rest<Void> forbidden(@RequestBody AppPdu appPdu);


}


@Slf4j
@Component
class AppFeignFallbackFactory implements FallbackFactory<IAppFeign> {
    @Override
    public IAppFeign create(Throwable t) {
        return new IAppFeign() {

            @Override
            public Rest<Void> forbidden(AppPdu appPdu) {
                return Rest.fail("暂时无法通知，请稍后再试!");
            }

        };
    }
}








