# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**
```

```

**响应消息样例:**
```

```

## 部门

### 查询部门列表

**请求URL:** dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|部门名称|否|-
deptAbb|String|部门简称|否|-
deptNumber|String|部门编号|否|-

**请求样例:**

```

  {
        "name":"8xbeej",
        "deptAbb":"lk7pnx",
        "deptNumber":"jjfxah",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看部门

**请求URL:** dept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```
    http://localhost/dept/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;tid|String|从政务系统来的部门id|-
&emsp;tname|String|从政务系统来的部门name|-
&emsp;name|String|部门名称|-
&emsp;simpleName|String|从政务系统来的别名|-
&emsp;siteId|Long|站点ID|-
&emsp;deptAbb|String|部门简称|-
&emsp;deptTelphone|String|部门电话|-
&emsp;deptNumber|String|部门编号|-
&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":3878,
            "tid":"j5vugc",
            "tname":"akwq1c",
            "name":"euai3f",
            "simpleName":"hkfv7v",
            "siteId":3415,
            "deptAbb":"w2ndhg",
            "deptTelphone":"m3tcad",
            "deptNumber":"xx3e0q",
            "isAutotable":3260,
            "isOrder":652,
            "isBkb":655,
            "isWorkGuide":4574,
            "usValid":5018,
            "isSecphone":877,
            "isEnglish":7265,
            "sort":9898,
            "createTime":"2022-01-20",
            "createUserId":715,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新部门

**请求URL:** dept/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
tid|String|从政务系统来的部门id|否|-
tname|String|从政务系统来的部门name|否|-
name|String|部门名称|是|-
simpleName|String|从政务系统来的别名|否|-
siteId|Long|站点ID|是|-
deptAbb|String|部门简称|否|-
deptTelphone|String|部门电话|否|-
deptNumber|String|部门编号|否|-
isAutotable|Integer|填单机展示 (0.否，1.是) |否|-
isOrder|Integer|预约展示 (0.否，1.是) |否|-
isBkb|Integer|背靠背展示 (0.否，1.是) |否|-
isWorkGuide|Integer|办事指南展示 (0.否，1.是) |否|-
usValid|Integer|是否使用 (0.否，1.是) |是|-
isSecphone|Integer|部门电话是否展示 (0.否，1.是) |否|-
isEnglish|Integer|是否展示英文 (0.否，1.是) |否|-
sort|Integer|排序|否|-

**请求样例:**

```
{
  "code": 1,
  "data": {
    "createTime": 1643006419000,
    "createUserId": 1,
    "deptAbb": "mly6ov",
    "deptNumber": "o9mdz123131w",
    "deptTelphone": "1328444586",
    "id": 1,
    "isAutotable": 1,
    "isBkb": 1,
    "isEnglish": 1,
    "isOrder": 1,
    "isSecphone": 1,
    "isWorkGuide": 1,
    "name": "测试站点部门",
    "simpleName": "测试站点部门",
    "siteId": 1,
    "sort": 1,
    "tid": "pnvi0e",
    "tname": "g8b6wr",
    "updateTime": 1643006419000,
    "usValid": 1
  }
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除部门

**请求URL:** dept/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```
    http://localhost:8080/dept/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 基础事项

### 查询基础事项列表

**请求URL:** matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|--|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterName|String|事项名称|否|-
deptCode|String|部门编号|否|-
matterNo|String|事项编号|否|-
belongDept|String|所属部门|否|-

**请求样例:**

```
  {
        "matterName":"phh423",
        "matterNo":"1ccc9a",
        "belongDept":"ao0cxh",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;tid|String|从政务系统来的事项id|-
&emsp;&emsp;tcode|String|从政务系统来的事项code|-
&emsp;&emsp;tname|String|从政务系统来的事项name|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;englishName|String|英语事项名|-
&emsp;&emsp;matterNo|String|事项编号|-
&emsp;&emsp;areaCode|String|区域编码
&emsp;&emsp;deptCode|String|部门编号
&emsp;&emsp;powerCode|String|行政权力编号
&emsp;&emsp;themeCode|String|主题编号
&emsp;&emsp;usertypeCode|String|服务类型编号
&emsp;&emsp;groupName|String|事项组名
&emsp;&emsp;url|String|事项详情链接
&emsp;&emsp;haveGetMatterInfo|String|是否获取事项详情
&emsp;&emsp;belongDept|String|所属部门|-
&emsp;&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |-
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;&emsp;planTakeTime|Date|计划生效日期|-
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;&emsp;specialProcedure|String|特别程序|-
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;&emsp;performDeptType|String|实施主体|-
&emsp;&emsp;matterEdition|String|事项版本|-
&emsp;&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;&emsp;jointInfoShow|String|联办机构|-
&emsp;&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;&emsp;numberLimit|Long|数量限制|-
&emsp;&emsp;type|String|主题类型|-
&emsp;&emsp;baseCode|String|基本编码|-
&emsp;&emsp;implementCode|String|实施编码|-
&emsp;&emsp;implementBodyCode|String|实施主体编码|-
&emsp;&emsp;operateItemCode|String|办理项编码|-
&emsp;&emsp;townshipName|String|乡镇街道名称|-
&emsp;&emsp;townshipCode|String|乡镇街道代码|-
&emsp;&emsp;villageName|String|村居社区名称|-
&emsp;&emsp;villageCode|String|村居社区代码|-
&emsp;&emsp;operateTime|String|办理时间|-
&emsp;&emsp;operateSite|String|办理地点|-
&emsp;&emsp;cousultingShow|String|咨询方式|-
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;&emsp;superviseShow|String|监督投诉方式|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看基础事项

**请求URL:** matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```
    http://localhost/matter/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;tid|String|从政务系统来的事项id|-
&emsp;tcode|String|从政务系统来的事项code|-
&emsp;tname|String|从政务系统来的事项name|-
&emsp;matterName|String|事项名称|-
&emsp;englishName|String|英语事项名|-
&emsp;matterNo|String|事项编号|-
&emsp;belongDept|String|所属部门|-
&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |-
&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;planTakeTime|Date|计划生效日期|-
&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;specialProcedure|String|特别程序|-
&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;performDeptType|String|实施主体|-
&emsp;matterEdition|String|事项版本|-
&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;jointInfoShow|String|联办机构|-
&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;numberLimit|Long|数量限制|-
&emsp;type|String|主题类型|-
&emsp;baseCode|String|基本编码|-
&emsp;implementCode|String|实施编码|-
&emsp;implementBodyCode|String|实施主体编码|-
&emsp;operateItemCode|String|办理项编码|-
&emsp;townshipName|String|乡镇街道名称|-
&emsp;townshipCode|String|乡镇街道代码|-
&emsp;villageName|String|村居社区名称|-
&emsp;villageCode|String|村居社区代码|-
&emsp;operateTime|String|办理时间|-
&emsp;operateSite|String|办理地点|-
&emsp;cousultingShow|String|咨询方式|-
&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;superviseShow|String|监督投诉方式|-
&emsp;sort|Integer|排序|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新基础事项

**请求URL:** matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
tid|String|从政务系统来的事项id|是|-
tcode|String|从政务系统来的事项code|是|-
tname|String|从政务系统来的事项name|是|-
matterName|String|事项名称|是|-
englishName|String|英语事项名|是|-
matterNo|String|事项编号|是|-
belongDept|String|所属部门|是|-
appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|是|-
operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|是|-
appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|是|-
handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |是|-
legalTimeLimitShow|String|法定办结时限|是|-
legalEndExplain|String|法定时限办结说明|是|-
promiseTimeLimitShow|String|承诺办结时限|是|-
promiseEndExplain|String|承诺时限办结说明|是|-
isChargesShow|String|是否收费（否.否，是.是）|是|-
certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|是|-
planTakeTime|Date|计划生效日期|是|-
promiseTakeTime|Date|承诺生效日期|是|-
specialProcedure|String|特别程序|是|-
windowToTheSceneNum|Integer|窗口到现场次数|是|-
isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|是|-
isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|是|-
isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|是|-
isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|是|-
mustSceneExplain|String|必须到现场原因|是|-
onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|是|-
onlineToTheSceneNum|Integer|网办到现场次数|是|-
onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|是|-
isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|是|-
isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|是|-
onlineMustSceneExplain|String|网上必须到现场原因|是|-
performDeptType|String|实施主体|是|-
matterEdition|String|事项版本|是|-
eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|是|-
performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|是|-
powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|是|-
performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|是|-
goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|是|-
isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|是|-
terminalHandle|String|自助终端办理 （否.否，是.是）|是|-
isOnline|String|是否网办 （否.否，是.是）|是|-
isOnlinePayShow|String|支持网上支付（否.否，是.是）|是|-
entrustmentDepartmen|String|委托部门（否.否，是.是）|是|-
jointInfoShow|String|联办机构|是|-
matterStatus|String|事项状态（停用.停用，在用.在用）|是|-
numberLimit|Long|数量限制|是|-
type|String|主题类型|是|-
baseCode|String|基本编码|是|-
implementCode|String|实施编码|是|-
implementBodyCode|String|实施主体编码|是|-
operateItemCode|String|办理项编码|是|-
townshipName|String|乡镇街道名称|是|-
townshipCode|String|乡镇街道代码|是|-
villageName|String|村居社区名称|是|-
villageCode|String|村居社区代码|是|-
operateTime|String|办理时间|是|-
operateSite|String|办理地点|是|-
cousultingShow|String|咨询方式|是|-
cousultingTelephoneShow|String|咨询电话|是|-
superviseShow|String|监督投诉方式|是|-
sort|Integer|排序|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**

```


```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;tid|String|从政务系统来的事项id|-
&emsp;&emsp;tcode|String|从政务系统来的事项code|-
&emsp;&emsp;tname|String|从政务系统来的事项name|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;englishName|String|英语事项名|-
&emsp;&emsp;matterNo|String|事项编号|-
&emsp;&emsp;belongDept|String|所属部门|-
&emsp;&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |-
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;&emsp;planTakeTime|Date|计划生效日期|-
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;&emsp;specialProcedure|String|特别程序|-
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;&emsp;performDeptType|String|实施主体|-
&emsp;&emsp;matterEdition|String|事项版本|-
&emsp;&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;&emsp;jointInfoShow|String|联办机构|-
&emsp;&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;&emsp;numberLimit|Long|数量限制|-
&emsp;&emsp;type|String|主题类型|-
&emsp;&emsp;baseCode|String|基本编码|-
&emsp;&emsp;implementCode|String|实施编码|-
&emsp;&emsp;implementBodyCode|String|实施主体编码|-
&emsp;&emsp;operateItemCode|String|办理项编码|-
&emsp;&emsp;townshipName|String|乡镇街道名称|-
&emsp;&emsp;townshipCode|String|乡镇街道代码|-
&emsp;&emsp;villageName|String|村居社区名称|-
&emsp;&emsp;villageCode|String|村居社区代码|-
&emsp;&emsp;operateTime|String|办理时间|-
&emsp;&emsp;operateSite|String|办理地点|-
&emsp;&emsp;cousultingShow|String|咨询方式|-
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;&emsp;superviseShow|String|监督投诉方式|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除基础事项

**请求URL:** matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项申请材料

### 查询事项申请材料列表

**请求URL:** matter/datum/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项id|否|-
matterName|String|事项名称|否|-
materialName|String|材料名|否|-

**请求样例:**

```

  {
        "matterId":6998,
        "matterName":"w9aqxs",
        "materialName":"ga7uwz",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;materialName|String|材料名|-
&emsp;&emsp;isMust|String|必交性|-
&emsp;&emsp;materialType|String|材料类型|-
&emsp;&emsp;materialProperty|String|材料形式|-
&emsp;&emsp;electronicgs|String|电子材料格式|-
&emsp;&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;&emsp;paperNum|Integer|纸质材料份数|-
&emsp;&emsp;paperGg|String|纸质材料规格|-
&emsp;&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;&emsp;sealWay|String|盖章方式|-
&emsp;&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;&emsp;ybUrl|String|材料地址|-
&emsp;&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;&emsp;remarkSub|String|填报须知|-
&emsp;&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;&emsp;summary|String|受理标准|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;datumFileList|arrays|附件列表|-
&emsp;&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;&emsp;materialName|String|材料名|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项申请材料

**请求URL:** matter/datum/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项申请材料，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/datum/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;materialName|String|材料名|-
&emsp;isMust|String|必交性|-
&emsp;materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|-
&emsp;materialProperty|String|材料形式|-
&emsp;electronicgs|String|电子材料格式|-
&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;paperNum|Integer|纸质材料份数|-
&emsp;paperGg|String|纸质材料规格|-
&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;sealWay|String|盖章方式|-
&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;ybUrl|String|材料地址|-
&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;remarkSub|String|填报须知|-
&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;summary|String|受理标准|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;datumFileList|arrays|附件列表|-
&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;isMust|object|字典属性对象，详见附录|-
&emsp;materialProperty|object|字典属性对象，详见附录|-
&emsp;electronicgs|object|字典属性对象，详见附录|-
&emsp;materialSource|object|字典属性对象，详见附录|-
&emsp;jianmMs|object|字典属性对象，详见附录|-
&emsp;isjianm|object|字典属性对象，详见附录|-
&emsp;isLack|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新事项申请材料

**请求URL:** matter/datum/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项申请材料：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项id|是|-
matterName|String|事项名称|是|-
materialName|String|材料名|是|-
isMust|String|必交性|是|-
materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|是|-
materialProperty|String|材料形式|是|-
electronicgs|String|电子材料格式|是|-
materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|是|-
paperNum|Integer|纸质材料份数|是|-
paperGg|String|纸质材料规格|是|-
jianmMs|String|减免模式（无.无，减.减，免.免）|是|-
sealWay|String|盖章方式|是|-
isjianm|String|是否减免（否.否，是.是）|是|-
isLack|String|材料是否容缺（必要.必要，非必要.非必要）|是|-
ybUrl|String|材料地址|是|-
materialSourceSm|String|来源渠道说明|是|-
remarkSub|String|填报须知|是|-
clauseContent|String|要求提供材料的依据|是|-
summary|String|受理标准|是|-
remark|String|备注|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-
datumFileList|arrays|附件列表|是|-
&emsp;datumId|Long|材料id|是|-
&emsp;fileName|String|附件名称|是|-
&emsp;fileUrl|String|附件下载地址|是|-
&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|是|-
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|是|-
&emsp;createTime|Date|创建时间|是|-
&emsp;createUserId|Long|创建用户|是|-
&emsp;materialName|String|材料名|是|-

**请求样例:**

```


```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项申请材料

**请求URL:** matter/datum/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/datum/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

``` 

## 材料附件业务

### 查询材料附件业务列表

**请求URL:** matter/datum/file/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询材料附件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;datumId|Long|材料id
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;fileName|String|附件名称
&emsp;&emsp;fileUrl|String|附件下载地址
&emsp;&emsp;localFileUrl|String|本地文件地址
&emsp;&emsp;filetype|String|附件类型 (1.示例样表，2.空白表格)
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)
&emsp;&emsp;previewUrl|String|预览地址
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;filetype|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看材料附件业务

**请求URL:** matter/datum/file/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看材料附件业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/datum/file/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;datumId|Long|材料id
&emsp;matterCode|String|事项编码
&emsp;materialName|String|材料名
&emsp;fileName|String|附件名称
&emsp;fileUrl|String|附件下载地址
&emsp;localFileUrl|String|本地文件地址
&emsp;filetype|String|附件类型 (1.示例样表，2.空白表格)
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)
&emsp;previewUrl|String|预览地址
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;filetype|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4972,
            "datumId":3957,
            "matterCode":"w0ryy3",
            "materialName":"gzy378",
            "fileName":"a4qm62",
            "fileUrl":"oi9arv",
            "localFileUrl":"9i1ywr",
            "filetype":"s6yq9s",
            "source":6932,
            "previewUrl":"5edgl2",
            "createTime":"2023-03-11",
            "createUserId":1829,
            "updateTime":"2023-03-11"
        }
}
```

### 保存更新材料附件业务

**请求URL:** matter/datum/file/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新材料附件业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
datumId|Long|是|材料id
matterCode|String|否|事项编码
materialName|String|是|材料名
fileName|String|否|附件名称
fileUrl|String|否|附件下载地址
localFileUrl|String|否|本地文件地址
filetype|String|否|附件类型 (1.示例样表，2.空白表格)
source|Integer|否|附件来源 (0.政务网，1.自定义)
previewUrl|String|否|预览地址

**请求样例:**
```
{
    "datumId":727,
    "matterCode":"lfm863",
    "materialName":"hvalmk",
    "fileName":"mlx8ju",
    "fileUrl":"6h90f2",
    "localFileUrl":"ra09bn",
    "filetype":"y744tf",
    "source":1383,
    "previewUrl":"l61fbb",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;datumId|Long|材料id
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;fileName|String|附件名称
&emsp;&emsp;fileUrl|String|附件下载地址
&emsp;&emsp;localFileUrl|String|本地文件地址
&emsp;&emsp;filetype|String|附件类型 (1.示例样表，2.空白表格)
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)
&emsp;&emsp;previewUrl|String|预览地址
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除材料附件业务

**请求URL:** matter/datum/file/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除材料附件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/datum/file/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 站点事项

### 查询站点事项列表

**请求URL:** site/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点与事项列表

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteId|Long|站点ID|否|-
siteName|String|站点名称|否|-
matterId|Long|事项ID|否|-
matterName|String|事项名称|否|-

**请求样例:**

```

  {
        "siteId":9144,
        "siteName":"o68yk6",
        "matterId":2909,
        "matterName":"oz1oig",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;matterId|Long|事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看站点事项

**请求URL:** site/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/site/matter/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;matterId|Long|事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
dict|object|字典对象|-

**响应消息样例:**

```

```

### 保存更新站点事项

**请求URL:** site/matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
matterId|Long|事项ID|是|-
matterName|String|事项名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-

**请求样例:**

```

{
    "siteId":6033,
    "siteName":"n0klqr",
    "matterId":7292,
    "matterName":"3c3brx",
    "deptId":880,
    "deptName":"m8yw73"
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;matterId|Long|事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除站点事项

**请求URL:** site/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/site/matter/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```




```

## 材料公共库

### 查询材料公共库列表

**请求URL:** public/library/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询材料公共库

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
simpleName|String|否|材料简称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "simpleName":"xt8nsn",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;simpleName|String|材料简称
&emsp;&emsp;fullName|String|材料全称
&emsp;&emsp;fileUrl|String|文件地址
&emsp;&emsp;previewUrl|String|文件预览地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看材料公共库

**请求URL:** public/library/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看材料公共库，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/public/library/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;simpleName|String|材料简称
&emsp;fullName|String|材料全称
&emsp;fileUrl|String|文件地址
&emsp;previewUrl|String|文件预览地址
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9550,
            "siteId":4797,
            "simpleName":"ve5301",
            "fullName":"kscl10",
            "fileUrl":"shker8",
            "previewUrl":"62chd9",
            "createUserId":6978,
            "createTime":"2023-03-01",
            "updateUserId":54,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新材料公共库

**请求URL:** public/library/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新材料公共库：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
simpleName|String|是|材料简称
fullName|String|是|材料全称
fileUrl|String|否|文件地址
previewUrl|String|否|文件预览地址

**请求样例:**
```
{
    "siteId":9658,
    "simpleName":"yza09v",
    "fullName":"wz3mzx",
    "fileUrl":"7rldbj",
    "previewUrl":"gjbtud",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;simpleName|String|材料简称
&emsp;&emsp;fullName|String|材料全称
&emsp;&emsp;fileUrl|String|文件地址
&emsp;&emsp;previewUrl|String|文件预览地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除材料公共库

**请求URL:** public/library/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除材料公共库

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/public/library/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 字典附录
