package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 事项来源 (0.政务网，1.自定义)枚举类
 *
 * @author zxfei
 */
public enum DxTypeEnum {
    个人服务("2", "个人服务"),
    法人服务("3", "法人服务"),
    街道镇服务("54", "街道镇服务"),
    乡村服务("56", "乡村服务"),
    ;
    private String value;
    private String desc;

    DxTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DxTypeEnum getByValue(String value) {
        for (DxTypeEnum sourceEnum : DxTypeEnum.values()) {
            if (sourceEnum.getValue() == value) {
                return sourceEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DxTypeEnum item : DxTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}